Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.ext.cpfg
Class SurfaceParser

    java.lang.Object
      antlr.Parser
          antlr.LLkParser
              de.grogra.ext.cpfg.SurfaceParser

All Implemented Interfaces:
  SurfaceTokenTypes

    public class SurfaceParser

extends antlr.LLkParser
implements SurfaceTokenTypes

Field Summary
`static java.lang.String[]` | `_tokenNames`
`static antlr.collections.impl.BitSet` | `_tokenSet_0`
`static antlr.collections.impl.BitSet` | `_tokenSet_1`
`static antlr.collections.impl.BitSet` | `_tokenSet_2`
`static antlr.collections.impl.BitSet` | `_tokenSet_3`
`static antlr.collections.impl.BitSet` | `_tokenSet_4`
`static antlr.collections.impl.BitSet` | `_tokenSet_5`
`static antlr.collections.impl.BitSet` | `_tokenSet_6`

Fields inherited from class antlr.Parser
`astFactory, inputState, returnAST, tokenNames, tokenTypeToASTClassMap, traceDepth`

Fields inherited from interface de.grogra.ext.cpfg.SurfaceTokenTypes
`BOOLEAN_LITERAL, CHAR_LITERAL, COLON, DOUBLE_LITERAL, EOF, FLOAT_LITERAL, IDENT, INT_LITERAL, LITERAL_A, LITERAL_AL, LITERAL_AR, LITERAL_B, LITERAL_BL, LITERAL_BOTTOM, LITERAL_BR, LITERAL_COLOR, LITERAL_CONTACT, LITERAL_DIFFUSE, LITERAL_END, LITERAL_HEADING, LITERAL_L, LITERAL_POINT, LITERAL_PRECISION, LITERAL_R, LITERAL_S, LITERAL_SIZE, LITERAL_T, LITERAL_TOP, LITERAL_UP, LITERAL_X, LITERAL_Y, LITERAL_Z, LONG_LITERAL, NULL_TREE_LOOKAHEAD, STRING_LITERAL`

Constructor Summary
`` | `SurfaceParser(antlr.ParserSharedInputState state)`
`` | `SurfaceParser(antlr.TokenBuffer tokenBuf)`
`protected` | `SurfaceParser(antlr.TokenBuffer tokenBuf, int k)`
`` | `SurfaceParser(antlr.TokenStream lexer)`
`protected` | `SurfaceParser(antlr.TokenStream lexer, int k)`

Method Summary
`void` | `material()`
`void` | `neighbor()`
`float` | `number()`
`NURBSSurface` | `patch()`
`void` | `point(Tuple3d p)`
`void` | `row(float[] data, int index)`
`Null` | `surfaceDefinition()`
`void` | `vertex(float[] data, int index)`

Methods inherited from class antlr.LLkParser
`consume, LA, LT, traceIn, traceOut`

Methods inherited from class antlr.Parser
`addMessageListener, addParserListener, addParserMatchListener, addParserTokenListener, addSemanticPredicateListener, addSyntacticPredicateListener, addTraceListener, consumeUntil, consumeUntil, defaultDebuggingSetup, getAST, getASTFactory, getFilename, getInputState, getTokenName, getTokenNames, getTokenTypeToASTClassMap, isDebugMode, mark, match, match, matchNot, panic, recover, removeMessageListener, removeParserListener, removeParserMatchListener, removeParserTokenListener, removeSemanticPredicateListener, removeSyntacticPredicateListener, removeTraceListener, reportError, reportError, reportWarning, rewind, setASTFactory, setASTNodeClass, setASTNodeType, setDebugMode, setFilename, setIgnoreInvalidDebugCalls, setInputState, setTokenBuffer, traceIndent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _tokenNames

    public static final java.lang.String[] _tokenNames

### _tokenSet_0

    public static final antlr.collections.impl.BitSet _tokenSet_0

### _tokenSet_1

    public static final antlr.collections.impl.BitSet _tokenSet_1

### _tokenSet_2

    public static final antlr.collections.impl.BitSet _tokenSet_2

### _tokenSet_3

    public static final antlr.collections.impl.BitSet _tokenSet_3

### _tokenSet_4

    public static final antlr.collections.impl.BitSet _tokenSet_4

### _tokenSet_5

    public static final antlr.collections.impl.BitSet _tokenSet_5

### _tokenSet_6

    public static final antlr.collections.impl.BitSet _tokenSet_6

Constructor Detail

### SurfaceParser

    public SurfaceParser(antlr.ParserSharedInputState state)

### SurfaceParser

    public SurfaceParser(antlr.TokenBuffer tokenBuf)

### SurfaceParser

    protected SurfaceParser(antlr.TokenBuffer tokenBuf,
                            int k)

### SurfaceParser

    public SurfaceParser(antlr.TokenStream lexer)

### SurfaceParser

    protected SurfaceParser(antlr.TokenStream lexer,
                            int k)

Method Detail

### material

    public final void material()
                        throws antlr.RecognitionException,
                               antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### neighbor

    public final void neighbor()
                        throws antlr.RecognitionException,
                               antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### number

    public final float number()
                       throws antlr.RecognitionException,
                              antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### patch

    public final NURBSSurface patch()
                             throws antlr.RecognitionException,
                                    antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### point

    public final void point(Tuple3d p)
                     throws antlr.RecognitionException,
                            antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### row

    public final void row(float[] data,
                          int index)
                   throws antlr.RecognitionException,
                          antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### surfaceDefinition

    public final Null surfaceDefinition()
                                 throws antlr.RecognitionException,
                                        antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### vertex

    public final void vertex(float[] data,
                             int index)
                      throws antlr.RecognitionException,
                             antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD